Makefile.in 18 KB

123456789101112131415161718192021222324252627282930313233343536373839404142434445464748495051525354555657585960616263646566676869707172737475767778798081828384858687888990919293949596979899100101102103104105106107108109110111112113114115116117118119120121122123124125126127128129130131132133134135136137138139140141142143144145146147148149150151152153154155156157158159160161162163164165166167168169170171172173174175176177178179180181182183184185186187188189190191192193194195196197198199200201202203204205206207208209210211212213214215216217218219220221222223224225226227228229230231232233234235236237238239240241242243244245246247248249250251252253254255256257258259260261262263264265266267268269270271272273274275276277278279280281282283284285286287288289290291292293294295296297298299300301302303304305306307308309310311312313314315316317318319320321322323324325326327328329330331332333334335336337338339340341342343344345346347348349350351352353354355356357358359360361362363364365366367368369370371372373374375376377378379380381382383384385386387388389390391392393394395396397398399400401402403404405406407408409410411412413414415416417418419420421422423424425426427428429430431432433434435436437438439440441442443444445446447448449450451452453454455456457458459460461462463464465466467468469470471472473474475476477478479480481482483484485486487488489490491492493494495496497498499500501502503504505506507508509510511512513514515516517518519520521522523524525526527528529530531532533534535536537538539540541542543544545546547548549550551552553554555
  1. # Makefile.in generated by automake 1.7.9 from Makefile.am.
  2. # @configure_input@
  3. # Copyright 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002, 2003
  4. # Free Software Foundation, Inc.
  5. # This Makefile.in is free software; the Free Software Foundation
  6. # gives unlimited permission to copy and/or distribute it,
  7. # with or without modifications, as long as this notice is preserved.
  8. # This program is distributed in the hope that it will be useful,
  9. # but WITHOUT ANY WARRANTY, to the extent permitted by law; without
  10. # even the implied warranty of MERCHANTABILITY or FITNESS FOR A
  11. # PARTICULAR PURPOSE.
  12. @SET_MAKE@
  13. # $Id: Makefile.am 17 2004-01-23 23:25:07Z lennart $
  14. # This file is part of ifmetric.
  15. #
  16. # ifmetric is free software; you can redistribute it and/or modify it
  17. # under the terms of the GNU General Public License as published by
  18. # the Free Software Foundation; either version 2 of the License, or
  19. # (at your option) any later version.
  20. #
  21. # ifmetric is distributed in the hope that it will be useful, but
  22. # WITHOUT ANY WARRANTY; without even the implied warranty of
  23. # MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
  24. # General Public License for more details.
  25. #
  26. # You should have received a copy of the GNU General Public License
  27. # along with ifmetric; if not, write to the Free Software Foundation,
  28. # Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA.
  29. srcdir = @srcdir@
  30. top_srcdir = @top_srcdir@
  31. VPATH = @srcdir@
  32. pkgdatadir = $(datadir)/@PACKAGE@
  33. pkglibdir = $(libdir)/@PACKAGE@
  34. pkgincludedir = $(includedir)/@PACKAGE@
  35. top_builddir = .
  36. am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
  37. INSTALL = @INSTALL@
  38. install_sh_DATA = $(install_sh) -c -m 644
  39. install_sh_PROGRAM = $(install_sh) -c
  40. install_sh_SCRIPT = $(install_sh) -c
  41. INSTALL_HEADER = $(INSTALL_DATA)
  42. transform = $(program_transform_name)
  43. NORMAL_INSTALL = :
  44. PRE_INSTALL = :
  45. POST_INSTALL = :
  46. NORMAL_UNINSTALL = :
  47. PRE_UNINSTALL = :
  48. POST_UNINSTALL = :
  49. ACLOCAL = @ACLOCAL@
  50. AMDEP_FALSE = @AMDEP_FALSE@
  51. AMDEP_TRUE = @AMDEP_TRUE@
  52. AMTAR = @AMTAR@
  53. AUTOCONF = @AUTOCONF@
  54. AUTOHEADER = @AUTOHEADER@
  55. AUTOMAKE = @AUTOMAKE@
  56. AWK = @AWK@
  57. CC = @CC@
  58. CCDEPMODE = @CCDEPMODE@
  59. CFLAGS = @CFLAGS@
  60. CPP = @CPP@
  61. CPPFLAGS = @CPPFLAGS@
  62. CYGPATH_W = @CYGPATH_W@
  63. DEFS = @DEFS@
  64. DEPDIR = @DEPDIR@
  65. ECHO_C = @ECHO_C@
  66. ECHO_N = @ECHO_N@
  67. ECHO_T = @ECHO_T@
  68. EGREP = @EGREP@
  69. EXEEXT = @EXEEXT@
  70. INSTALL_DATA = @INSTALL_DATA@
  71. INSTALL_PROGRAM = @INSTALL_PROGRAM@
  72. INSTALL_SCRIPT = @INSTALL_SCRIPT@
  73. INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
  74. LDFLAGS = @LDFLAGS@
  75. LIBOBJS = @LIBOBJS@
  76. LIBS = @LIBS@
  77. LN_S = @LN_S@
  78. LTLIBOBJS = @LTLIBOBJS@
  79. MAKEINFO = @MAKEINFO@
  80. OBJEXT = @OBJEXT@
  81. PACKAGE = @PACKAGE@
  82. PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
  83. PACKAGE_NAME = @PACKAGE_NAME@
  84. PACKAGE_STRING = @PACKAGE_STRING@
  85. PACKAGE_TARNAME = @PACKAGE_TARNAME@
  86. PACKAGE_URL = @PACKAGE_URL@
  87. PACKAGE_VERSION = @PACKAGE_VERSION@
  88. PATH_SEPARATOR = @PATH_SEPARATOR@
  89. SET_MAKE = @SET_MAKE@
  90. SHELL = @SHELL@
  91. STRIP = @STRIP@
  92. USE_LYNX_FALSE = @USE_LYNX_FALSE@
  93. USE_LYNX_TRUE = @USE_LYNX_TRUE@
  94. USE_XMLTOMAN_FALSE = @USE_XMLTOMAN_FALSE@
  95. USE_XMLTOMAN_TRUE = @USE_XMLTOMAN_TRUE@
  96. VERSION = @VERSION@
  97. ac_ct_CC = @ac_ct_CC@
  98. ac_ct_STRIP = @ac_ct_STRIP@
  99. am__fastdepCC_FALSE = @am__fastdepCC_FALSE@
  100. am__fastdepCC_TRUE = @am__fastdepCC_TRUE@
  101. am__include = @am__include@
  102. am__leading_dot = @am__leading_dot@
  103. am__quote = @am__quote@
  104. bindir = @bindir@
  105. build_alias = @build_alias@
  106. datadir = @datadir@
  107. exec_prefix = @exec_prefix@
  108. have_lynx = @have_lynx@
  109. have_xmltoman = @have_xmltoman@
  110. host_alias = @host_alias@
  111. includedir = @includedir@
  112. infodir = @infodir@
  113. install_sh = @install_sh@
  114. libdir = @libdir@
  115. libexecdir = @libexecdir@
  116. localstatedir = @localstatedir@
  117. mandir = @mandir@
  118. oldincludedir = @oldincludedir@
  119. prefix = @prefix@
  120. program_transform_name = @program_transform_name@
  121. sbindir = @sbindir@
  122. sharedstatedir = @sharedstatedir@
  123. sysconfdir = @sysconfdir@
  124. target_alias = @target_alias@
  125. EXTRA_DIST = bootstrap.sh README LICENSE
  126. SUBDIRS = src man doc
  127. MAINTAINERCLEANFILES = README
  128. noinst_DATA = README
  129. subdir = .
  130. ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
  131. mkinstalldirs = $(SHELL) $(top_srcdir)/mkinstalldirs
  132. CONFIG_HEADER = config.h
  133. CONFIG_CLEAN_FILES =
  134. DIST_SOURCES =
  135. DATA = $(noinst_DATA)
  136. RECURSIVE_TARGETS = info-recursive dvi-recursive pdf-recursive \
  137. ps-recursive install-info-recursive uninstall-info-recursive \
  138. all-recursive install-data-recursive install-exec-recursive \
  139. installdirs-recursive install-recursive uninstall-recursive \
  140. check-recursive installcheck-recursive
  141. DIST_COMMON = README $(srcdir)/Makefile.in $(srcdir)/configure \
  142. Makefile.am aclocal.m4 config.h.in configure configure.ac \
  143. depcomp install-sh missing mkinstalldirs
  144. DIST_SUBDIRS = $(SUBDIRS)
  145. all: config.h
  146. $(MAKE) $(AM_MAKEFLAGS) all-recursive
  147. .SUFFIXES:
  148. am__CONFIG_DISTCLEAN_FILES = config.status config.cache config.log \
  149. configure.lineno
  150. $(srcdir)/Makefile.in: Makefile.am $(top_srcdir)/configure.ac $(ACLOCAL_M4)
  151. cd $(top_srcdir) && \
  152. $(AUTOMAKE) --foreign Makefile
  153. Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
  154. cd $(top_builddir) && $(SHELL) ./config.status $@ $(am__depfiles_maybe)
  155. $(top_builddir)/config.status: $(srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
  156. $(SHELL) ./config.status --recheck
  157. $(srcdir)/configure: $(srcdir)/configure.ac $(ACLOCAL_M4) $(CONFIGURE_DEPENDENCIES)
  158. cd $(srcdir) && $(AUTOCONF)
  159. $(ACLOCAL_M4): configure.ac
  160. cd $(srcdir) && $(ACLOCAL) $(ACLOCAL_AMFLAGS)
  161. config.h: stamp-h1
  162. @if test ! -f $@; then \
  163. rm -f stamp-h1; \
  164. $(MAKE) stamp-h1; \
  165. else :; fi
  166. stamp-h1: $(srcdir)/config.h.in $(top_builddir)/config.status
  167. @rm -f stamp-h1
  168. cd $(top_builddir) && $(SHELL) ./config.status config.h
  169. $(srcdir)/config.h.in: $(top_srcdir)/configure.ac $(ACLOCAL_M4)
  170. cd $(top_srcdir) && $(AUTOHEADER)
  171. touch $(srcdir)/config.h.in
  172. distclean-hdr:
  173. -rm -f config.h stamp-h1
  174. uninstall-info-am:
  175. # This directory's subdirectories are mostly independent; you can cd
  176. # into them and run `make' without going through this Makefile.
  177. # To change the values of `make' variables: instead of editing Makefiles,
  178. # (1) if the variable is set in `config.status', edit `config.status'
  179. # (which will cause the Makefiles to be regenerated when you run `make');
  180. # (2) otherwise, pass the desired values on the `make' command line.
  181. $(RECURSIVE_TARGETS):
  182. @set fnord $$MAKEFLAGS; amf=$$2; \
  183. dot_seen=no; \
  184. target=`echo $@ | sed s/-recursive//`; \
  185. list='$(SUBDIRS)'; for subdir in $$list; do \
  186. echo "Making $$target in $$subdir"; \
  187. if test "$$subdir" = "."; then \
  188. dot_seen=yes; \
  189. local_target="$$target-am"; \
  190. else \
  191. local_target="$$target"; \
  192. fi; \
  193. (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) $$local_target) \
  194. || case "$$amf" in *=*) exit 1;; *k*) fail=yes;; *) exit 1;; esac; \
  195. done; \
  196. if test "$$dot_seen" = "no"; then \
  197. $(MAKE) $(AM_MAKEFLAGS) "$$target-am" || exit 1; \
  198. fi; test -z "$$fail"
  199. mostlyclean-recursive clean-recursive distclean-recursive \
  200. maintainer-clean-recursive:
  201. @set fnord $$MAKEFLAGS; amf=$$2; \
  202. dot_seen=no; \
  203. case "$@" in \
  204. distclean-* | maintainer-clean-*) list='$(DIST_SUBDIRS)' ;; \
  205. *) list='$(SUBDIRS)' ;; \
  206. esac; \
  207. rev=''; for subdir in $$list; do \
  208. if test "$$subdir" = "."; then :; else \
  209. rev="$$subdir $$rev"; \
  210. fi; \
  211. done; \
  212. rev="$$rev ."; \
  213. target=`echo $@ | sed s/-recursive//`; \
  214. for subdir in $$rev; do \
  215. echo "Making $$target in $$subdir"; \
  216. if test "$$subdir" = "."; then \
  217. local_target="$$target-am"; \
  218. else \
  219. local_target="$$target"; \
  220. fi; \
  221. (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) $$local_target) \
  222. || case "$$amf" in *=*) exit 1;; *k*) fail=yes;; *) exit 1;; esac; \
  223. done && test -z "$$fail"
  224. tags-recursive:
  225. list='$(SUBDIRS)'; for subdir in $$list; do \
  226. test "$$subdir" = . || (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) tags); \
  227. done
  228. ctags-recursive:
  229. list='$(SUBDIRS)'; for subdir in $$list; do \
  230. test "$$subdir" = . || (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) ctags); \
  231. done
  232. ETAGS = etags
  233. ETAGSFLAGS =
  234. CTAGS = ctags
  235. CTAGSFLAGS =
  236. tags: TAGS
  237. ID: $(HEADERS) $(SOURCES) $(LISP) $(TAGS_FILES)
  238. list='$(SOURCES) $(HEADERS) $(LISP) $(TAGS_FILES)'; \
  239. unique=`for i in $$list; do \
  240. if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
  241. done | \
  242. $(AWK) ' { files[$$0] = 1; } \
  243. END { for (i in files) print i; }'`; \
  244. mkid -fID $$unique
  245. TAGS: tags-recursive $(HEADERS) $(SOURCES) config.h.in $(TAGS_DEPENDENCIES) \
  246. $(TAGS_FILES) $(LISP)
  247. tags=; \
  248. here=`pwd`; \
  249. if (etags --etags-include --version) >/dev/null 2>&1; then \
  250. include_option=--etags-include; \
  251. else \
  252. include_option=--include; \
  253. fi; \
  254. list='$(SUBDIRS)'; for subdir in $$list; do \
  255. if test "$$subdir" = .; then :; else \
  256. test -f $$subdir/TAGS && \
  257. tags="$$tags $$include_option=$$here/$$subdir/TAGS"; \
  258. fi; \
  259. done; \
  260. list='$(SOURCES) $(HEADERS) config.h.in $(LISP) $(TAGS_FILES)'; \
  261. unique=`for i in $$list; do \
  262. if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
  263. done | \
  264. $(AWK) ' { files[$$0] = 1; } \
  265. END { for (i in files) print i; }'`; \
  266. test -z "$(ETAGS_ARGS)$$tags$$unique" \
  267. || $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
  268. $$tags $$unique
  269. ctags: CTAGS
  270. CTAGS: ctags-recursive $(HEADERS) $(SOURCES) config.h.in $(TAGS_DEPENDENCIES) \
  271. $(TAGS_FILES) $(LISP)
  272. tags=; \
  273. here=`pwd`; \
  274. list='$(SOURCES) $(HEADERS) config.h.in $(LISP) $(TAGS_FILES)'; \
  275. unique=`for i in $$list; do \
  276. if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
  277. done | \
  278. $(AWK) ' { files[$$0] = 1; } \
  279. END { for (i in files) print i; }'`; \
  280. test -z "$(CTAGS_ARGS)$$tags$$unique" \
  281. || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
  282. $$tags $$unique
  283. GTAGS:
  284. here=`$(am__cd) $(top_builddir) && pwd` \
  285. && cd $(top_srcdir) \
  286. && gtags -i $(GTAGS_ARGS) $$here
  287. distclean-tags:
  288. -rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags
  289. DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
  290. top_distdir = .
  291. distdir = $(PACKAGE)-$(VERSION)
  292. am__remove_distdir = \
  293. { test ! -d $(distdir) \
  294. || { find $(distdir) -type d ! -perm -200 -exec chmod u+w {} ';' \
  295. && rm -fr $(distdir); }; }
  296. GZIP_ENV = --best
  297. distuninstallcheck_listfiles = find . -type f -print
  298. distcleancheck_listfiles = find . -type f -print
  299. distdir: $(DISTFILES)
  300. $(am__remove_distdir)
  301. mkdir $(distdir)
  302. $(mkinstalldirs) $(distdir)/doc
  303. @srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`; \
  304. topsrcdirstrip=`echo "$(top_srcdir)" | sed 's|.|.|g'`; \
  305. list='$(DISTFILES)'; for file in $$list; do \
  306. case $$file in \
  307. $(srcdir)/*) file=`echo "$$file" | sed "s|^$$srcdirstrip/||"`;; \
  308. $(top_srcdir)/*) file=`echo "$$file" | sed "s|^$$topsrcdirstrip/|$(top_builddir)/|"`;; \
  309. esac; \
  310. if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
  311. dir=`echo "$$file" | sed -e 's,/[^/]*$$,,'`; \
  312. if test "$$dir" != "$$file" && test "$$dir" != "."; then \
  313. dir="/$$dir"; \
  314. $(mkinstalldirs) "$(distdir)$$dir"; \
  315. else \
  316. dir=''; \
  317. fi; \
  318. if test -d $$d/$$file; then \
  319. if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
  320. cp -pR $(srcdir)/$$file $(distdir)$$dir || exit 1; \
  321. fi; \
  322. cp -pR $$d/$$file $(distdir)$$dir || exit 1; \
  323. else \
  324. test -f $(distdir)/$$file \
  325. || cp -p $$d/$$file $(distdir)/$$file \
  326. || exit 1; \
  327. fi; \
  328. done
  329. list='$(SUBDIRS)'; for subdir in $$list; do \
  330. if test "$$subdir" = .; then :; else \
  331. test -d $(distdir)/$$subdir \
  332. || mkdir $(distdir)/$$subdir \
  333. || exit 1; \
  334. (cd $$subdir && \
  335. $(MAKE) $(AM_MAKEFLAGS) \
  336. top_distdir="$(top_distdir)" \
  337. distdir=../$(distdir)/$$subdir \
  338. distdir) \
  339. || exit 1; \
  340. fi; \
  341. done
  342. -find $(distdir) -type d ! -perm -777 -exec chmod a+rwx {} \; -o \
  343. ! -type d ! -perm -444 -links 1 -exec chmod a+r {} \; -o \
  344. ! -type d ! -perm -400 -exec chmod a+r {} \; -o \
  345. ! -type d ! -perm -444 -exec $(SHELL) $(install_sh) -c -m a+r {} {} \; \
  346. || chmod -R a+r $(distdir)
  347. dist-gzip: distdir
  348. $(AMTAR) chof - $(distdir) | GZIP=$(GZIP_ENV) gzip -c >$(distdir).tar.gz
  349. $(am__remove_distdir)
  350. dist dist-all: distdir
  351. $(AMTAR) chof - $(distdir) | GZIP=$(GZIP_ENV) gzip -c >$(distdir).tar.gz
  352. $(am__remove_distdir)
  353. # This target untars the dist file and tries a VPATH configuration. Then
  354. # it guarantees that the distribution is self-contained by making another
  355. # tarfile.
  356. distcheck: dist
  357. $(am__remove_distdir)
  358. GZIP=$(GZIP_ENV) gunzip -c $(distdir).tar.gz | $(AMTAR) xf -
  359. chmod -R a-w $(distdir); chmod a+w $(distdir)
  360. mkdir $(distdir)/_build
  361. mkdir $(distdir)/_inst
  362. chmod a-w $(distdir)
  363. dc_install_base=`$(am__cd) $(distdir)/_inst && pwd | sed -e 's,^[^:\\/]:[\\/],/,'` \
  364. && dc_destdir="$${TMPDIR-/tmp}/am-dc-$$$$/" \
  365. && cd $(distdir)/_build \
  366. && ../configure --srcdir=.. --prefix="$$dc_install_base" \
  367. $(DISTCHECK_CONFIGURE_FLAGS) \
  368. && $(MAKE) $(AM_MAKEFLAGS) \
  369. && $(MAKE) $(AM_MAKEFLAGS) dvi \
  370. && $(MAKE) $(AM_MAKEFLAGS) check \
  371. && $(MAKE) $(AM_MAKEFLAGS) install \
  372. && $(MAKE) $(AM_MAKEFLAGS) installcheck \
  373. && $(MAKE) $(AM_MAKEFLAGS) uninstall \
  374. && $(MAKE) $(AM_MAKEFLAGS) distuninstallcheck_dir="$$dc_install_base" \
  375. distuninstallcheck \
  376. && chmod -R a-w "$$dc_install_base" \
  377. && ({ \
  378. (cd ../.. && $(mkinstalldirs) "$$dc_destdir") \
  379. && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" install \
  380. && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" uninstall \
  381. && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" \
  382. distuninstallcheck_dir="$$dc_destdir" distuninstallcheck; \
  383. } || { rm -rf "$$dc_destdir"; exit 1; }) \
  384. && rm -rf "$$dc_destdir" \
  385. && $(MAKE) $(AM_MAKEFLAGS) dist-gzip \
  386. && rm -f $(distdir).tar.gz \
  387. && $(MAKE) $(AM_MAKEFLAGS) distcleancheck
  388. $(am__remove_distdir)
  389. @echo "$(distdir).tar.gz is ready for distribution" | \
  390. sed 'h;s/./=/g;p;x;p;x'
  391. distuninstallcheck:
  392. @cd $(distuninstallcheck_dir) \
  393. && test `$(distuninstallcheck_listfiles) | wc -l` -le 1 \
  394. || { echo "ERROR: files left after uninstall:" ; \
  395. if test -n "$(DESTDIR)"; then \
  396. echo " (check DESTDIR support)"; \
  397. fi ; \
  398. $(distuninstallcheck_listfiles) ; \
  399. exit 1; } >&2
  400. distcleancheck: distclean
  401. @if test '$(srcdir)' = . ; then \
  402. echo "ERROR: distcleancheck can only run from a VPATH build" ; \
  403. exit 1 ; \
  404. fi
  405. @test `$(distcleancheck_listfiles) | wc -l` -eq 0 \
  406. || { echo "ERROR: files left in build directory after distclean:" ; \
  407. $(distcleancheck_listfiles) ; \
  408. exit 1; } >&2
  409. check-am: all-am
  410. check: check-recursive
  411. all-am: Makefile $(DATA) config.h
  412. installdirs: installdirs-recursive
  413. installdirs-am:
  414. install: install-recursive
  415. install-exec: install-exec-recursive
  416. install-data: install-data-recursive
  417. uninstall: uninstall-recursive
  418. install-am: all-am
  419. @$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
  420. installcheck: installcheck-recursive
  421. install-strip:
  422. $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
  423. install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
  424. `test -z '$(STRIP)' || \
  425. echo "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'"` install
  426. mostlyclean-generic:
  427. clean-generic:
  428. distclean-generic:
  429. -rm -f $(CONFIG_CLEAN_FILES)
  430. maintainer-clean-generic:
  431. @echo "This command is intended for maintainers to use"
  432. @echo "it deletes files that may require special tools to rebuild."
  433. -test -z "$(MAINTAINERCLEANFILES)" || rm -f $(MAINTAINERCLEANFILES)
  434. clean: clean-recursive
  435. clean-am: clean-generic mostlyclean-am
  436. distclean: distclean-recursive
  437. -rm -f $(am__CONFIG_DISTCLEAN_FILES)
  438. -rm -f Makefile
  439. distclean-am: clean-am distclean-generic distclean-hdr distclean-tags
  440. dvi: dvi-recursive
  441. dvi-am:
  442. info: info-recursive
  443. info-am:
  444. install-data-am:
  445. install-exec-am:
  446. install-info: install-info-recursive
  447. install-man:
  448. installcheck-am:
  449. maintainer-clean: maintainer-clean-recursive
  450. -rm -f $(am__CONFIG_DISTCLEAN_FILES)
  451. -rm -rf $(top_srcdir)/autom4te.cache
  452. -rm -f Makefile
  453. maintainer-clean-am: distclean-am maintainer-clean-generic
  454. mostlyclean: mostlyclean-recursive
  455. mostlyclean-am: mostlyclean-generic
  456. pdf: pdf-recursive
  457. pdf-am:
  458. ps: ps-recursive
  459. ps-am:
  460. uninstall-am: uninstall-info-am
  461. uninstall-info: uninstall-info-recursive
  462. .PHONY: $(RECURSIVE_TARGETS) CTAGS GTAGS all all-am check check-am clean \
  463. clean-generic clean-recursive ctags ctags-recursive dist \
  464. dist-all dist-gzip distcheck distclean distclean-generic \
  465. distclean-hdr distclean-recursive distclean-tags distcleancheck \
  466. distdir distuninstallcheck dvi dvi-am dvi-recursive info \
  467. info-am info-recursive install install-am install-data \
  468. install-data-am install-data-recursive install-exec \
  469. install-exec-am install-exec-recursive install-info \
  470. install-info-am install-info-recursive install-man \
  471. install-recursive install-strip installcheck installcheck-am \
  472. installdirs installdirs-am installdirs-recursive \
  473. maintainer-clean maintainer-clean-generic \
  474. maintainer-clean-recursive mostlyclean mostlyclean-generic \
  475. mostlyclean-recursive pdf pdf-am pdf-recursive ps ps-am \
  476. ps-recursive tags tags-recursive uninstall uninstall-am \
  477. uninstall-info-am uninstall-info-recursive uninstall-recursive
  478. README:
  479. rm -f README
  480. $(MAKE) -C doc README
  481. ln -s doc/README README
  482. homepage:
  483. test -d $$HOME/homepage/lennart
  484. mkdir -p $$HOME/homepage/lennart/projects/ifmetric
  485. cp *.tar.gz $$HOME/homepage/lennart/projects/ifmetric
  486. cp man/ifmetric.8.xml man/xmltoman.css man/xmltoman.xsl man/xmltoman.dtd doc/README.html doc/style.css $$HOME/homepage/lennart/projects/ifmetric
  487. cp $$HOME/homepage/lennart/projects/ifmetric/README.html $$HOME/homepage/lennart/projects/ifmetric/index.html
  488. # Tell versions [3.59,3.63) of GNU make to not export all variables.
  489. # Otherwise a system limit (for SysV at least) may be exceeded.
  490. .NOEXPORT: